org.jbpm.services.task.commands

## Class ExecuteTaskRulesCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<Void>
  - - org.jbpm.services.task.commands.ExecuteTaskRulesCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<Void>, org.kie.api.command.ExecutableCommand<Void>

      public class ExecuteTaskRulesCommand
      extends TaskCommand<Void>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `data`
    `protected String` | `scope`

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecuteTaskRulesCommand()`
    `ExecuteTaskRulesCommand(long taskId, String userId, Map<String,Object> data, String scope)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context ctx)`
    `Map<String,Object>` | `getData()`
    `void` | `setData(Map<String,Object> data)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### data

          protected Map<String,Object> data

    - #### scope

          protected String scope

  - ### Constructor Detail

    - #### ExecuteTaskRulesCommand

          public ExecuteTaskRulesCommand()

    - #### ExecuteTaskRulesCommand

          public ExecuteTaskRulesCommand(long taskId,
                                         String userId,
                                         Map<String,Object> data,
                                         String scope)

  - ### Method Detail

    - #### getData

          public Map<String,Object> getData()

    - #### setData

          public void setData(Map<String,Object> data)

    - #### execute

          public Void execute(org.kie.api.runtime.Context ctx)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.